<?xml version="1.0" encoding="utf-8"?>
<LinearLayout android:orientation="vertical" android:background="@color/white" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <include layout="@layout/app_toolbar" />
    <ScrollView android:layout_width="fill_parent" android:layout_height="fill_parent">
        <LinearLayout android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="wrap_content" android:divider="@drawable/horizontal_divider" android:showDividers="middle">
            <RelativeLayout android:background="?selectableItemBackground" android:layout_width="fill_parent" android:layout_height="wrap_content" android:onClick="startEditInfoActivity">
                <ImageView android:id="@id/edit" android:padding="@dimen/outer_margin" android:layout_width="wrap_content" android:layout_height="wrap_content" android:src="@drawable/ic_edit" android:layout_alignParentRight="true" android:contentDescription="@string/settings_profile_edit_car_info" android:layout_alignParentEnd="true" />
                <TextView android:id="@id/car_info" android:text="@string/tap_to_set_car_info" android:layout_toLeftOf="@id/edit" android:layout_centerVertical="true" android:layout_toStartOf="@id/edit" style="@style/setting_title" />
            </RelativeLayout>
            <RelativeLayout android:background="@color/white" android:layout_width="fill_parent" android:layout_height="wrap_content" android:onClick="startObdLocatorActivity">
                <ImageView android:id="@id/chevron" android:padding="@dimen/outer_margin" android:layout_width="wrap_content" android:layout_height="wrap_content" android:src="@drawable/icon_navigate_next" android:layout_alignParentRight="true" android:layout_centerVertical="true" android:contentDescription="@string/settings_profile_edit_car_info" android:layout_alignParentEnd="true" />
                <TextView android:id="@id/obd_locator" android:text="@string/obd2_port_locator" android:layout_toLeftOf="@id/chevron" android:onClick="startObdLocatorActivity" android:layout_toStartOf="@id/chevron" style="@style/setting_list_item" />
            </RelativeLayout>
            <RelativeLayout android:background="?selectableItemBackground" android:layout_width="wrap_content" android:layout_height="wrap_content">
                <Switch android:id="@id/auto_on" android:padding="@dimen/outer_margin" android:layout_width="wrap_content" android:layout_alignParentRight="true" android:layout_centerVertical="true" android:layout_alignParentEnd="true" style="@style/setting_switch" />
                <TextView android:textSize="@dimen/Body1_font_size" android:id="@id/auto_on_title" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/outer_margin" android:layout_marginTop="@dimen/outer_margin" android:layout_marginRight="@dimen/outer_margin" android:layout_marginBottom="6.0dip" android:text="@string/settings_car_auto_on" android:layout_toLeftOf="@id/auto_on" android:layout_alignParentLeft="true" android:onClick="onAutoOnClick" android:layout_toStartOf="@id/auto_on" android:layout_alignParentStart="true" style="@style/H2Black" />
                <TextView android:textSize="@dimen/Body2_font_size" android:id="@id/setting_list_item_description" android:paddingLeft="@dimen/outer_margin" android:paddingBottom="13.0dip" android:layout_margin="0.0dip" android:text="@string/settings_car_auto_on_desc" android:layout_toLeftOf="@id/auto_on" android:layout_below="@id/auto_on_title" android:layout_alignParentLeft="true" android:onClick="onAutoOnClick" android:paddingStart="@dimen/outer_margin" android:layout_toStartOf="@id/auto_on" android:layout_alignParentStart="true" style="@style/setting_list_item_description" />
            </RelativeLayout>
            <TextView android:id="@id/advanced" android:text="@string/settings_advanced_section" style="@style/setting_title" />
            <RelativeLayout android:background="?selectableItemBackground" android:layout_width="wrap_content" android:layout_height="wrap_content">
                <Switch android:id="@id/obd_on" android:padding="@dimen/outer_margin" android:layout_width="wrap_content" android:layout_alignParentRight="true" android:layout_centerVertical="true" android:layout_alignParentEnd="true" style="@style/setting_switch" />
                <TextView android:textSize="@dimen/Body1_font_size" android:id="@id/obd_title" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/outer_margin" android:layout_marginTop="@dimen/outer_margin" android:layout_marginRight="@dimen/outer_margin" android:layout_marginBottom="6.0dip" android:text="@string/settings_car_obd_title" android:layout_toLeftOf="@id/obd_on" android:layout_alignParentLeft="true" android:onClick="onObdSettingChangeClick" android:layout_toStartOf="@id/obd_on" android:layout_alignParentStart="true" style="@style/H2Black" />
                <TextView android:textSize="@dimen/Body2_font_size" android:id="@id/obd_setting_list_item_description" android:paddingLeft="@dimen/outer_margin" android:paddingBottom="13.0dip" android:layout_margin="0.0dip" android:text="@string/settings_car_obd_description" android:layout_toLeftOf="@id/obd_on" android:layout_below="@id/obd_title" android:layout_alignParentLeft="true" android:onClick="onObdSettingChangeClick" android:paddingStart="@dimen/outer_margin" android:layout_toStartOf="@id/obd_on" android:layout_alignParentStart="true" style="@style/setting_list_item_description" />
            </RelativeLayout>
            <LinearLayout android:orientation="vertical" android:id="@id/compact_ui_linear_layout" android:visibility="invisible" android:layout_width="wrap_content" android:layout_height="wrap_content" android:divider="@drawable/horizontal_divider" android:showDividers="middle">
                <TextView android:id="@id/display_ui_scaling" android:text="@string/settings_car_display_ui_scaling" style="@style/setting_title" />
                <RadioGroup android:orientation="vertical" android:id="@id/display_ui_scaling_group" android:layout_width="fill_parent" android:layout_height="wrap_content" android:divider="@drawable/horizontal_divider" android:showDividers="middle" />
                <RadioButton android:id="@id/normal" android:divider="@drawable/horizontal_divider" android:text="@string/settings_car_normal" android:onClick="onNormalClick" style="@style/setting_radio_button_on_the_right" />
                <RadioButton android:id="@id/compact" android:divider="@drawable/horizontal_divider" android:text="@string/settings_car_compact" android:onClick="onCompactClick" style="@style/setting_radio_button_on_the_right" />
                <TextView android:layout_marginTop="8.0dip" android:text="@string/settings_car_display_ui_scaling_desc" style="@style/setting_list_item_description" />
            </LinearLayout>
        </LinearLayout>
    </ScrollView>
</LinearLayout>